import 'package:fluro/fluro.dart';
import '../views/index_page.dart';
import '../views/map_page.dart';
import '../views/deatilspage/details_page.dart';
import '../views/settings_page.dart';

Handler rootHandler = new Handler(handlerFunc: (_, params) => IndexPage());

Handler detailHandler = new Handler(handlerFunc: (context, param) {
  String goodsId = param['id']?.first;
  return DetailsPage(goodsId: goodsId);
});

Handler mapHandler = new Handler(handlerFunc: (_, param) => MapPage());

Handler settingHandler = new Handler(handlerFunc: (_, param) => SettingsPage());
